Get file upload status
curl --request GET \
--url https://api.soket.ai/files/upload/{batch_upload_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.soket.ai/files/upload/{batch_upload_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.soket.ai/files/upload/{batch_upload_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"batch_upload_id": "<string>",
"status": "<string>",
"total_files": 123,
"completed": 123,
"failed": 123,
"uploading": 123,
"pending": 123,
"files": [
{
"file_id": "<string>",
"filename": "<string>",
"size_bytes": 123,
"estimated_duration_seconds": 123,
"upload_status": "pending"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}Files
Get file upload status
Poll upload progress for a batch_upload_id returned by POST /files/upload. Returns per-file upload_status and gcs_key for completed files.
GET
/
files
/
upload
/
{batch_upload_id}
Get file upload status
Poll upload progress for a
batch_upload_id returned by POST /files/upload. Returns per-file upload_status and gcs_key for completed files.
Upload statuses
pending— queued for background uploaduploading— upload in progresscompleted— ready for batch submissionfailed— upload failed
Example
curl -X GET "https://api.soket.ai/files/upload/$BATCH_UPLOAD_ID" \
-H "Authorization: Bearer $JWT_TOKEN"
Typical response
{
"batch_upload_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "completed",
"total_files": 2,
"completed": 2,
"failed": 0,
"uploading": 0,
"pending": 0,
"files": [
{
"file_id": "1374132b-b5db-4ec3-9cf1-f61f982e89b0",
"filename": "audio1.wav",
"size_bytes": 1048576,
"estimated_duration_seconds": 65.5,
"upload_status": "completed",
"gcs_key": "uploads/2026/06/03/1374132b-b5db-4ec3-9cf1-f61f982e89b0.wav"
}
]
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.